> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Directory Path

> Get full directory path from root to current directory



## OpenAPI

````yaml /api-reference/openapi.json get /directories/{directory_id}/path
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /directories/{directory_id}/path:
    get:
      tags:
        - Directories
      summary: Get Directory Path
      description: Get full directory path from root to current directory
      operationId: get_Directories_directories_directory_id_path
      parameters:
        - name: directory_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Directory Id
        - name: collection_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Optional collection ID to filter path by collection membership
            title: Collection Id
          description: Optional collection ID to filter path by collection membership
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PathSegment'
                title: >-
                  Response Get Directory Path Directories  Directory Id  Path
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PathSegment:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Resource ID
        name:
          type: string
          title: Name
          description: Resource name
        index:
          type: integer
          title: Index
          description: >-
            True index of this segment in the full path before obfuscation or
            collection filtering
      type: object
      required:
        - id
        - name
        - index
      title: PathSegment
      description: |-
        A segment in a resource path (directory or asset).
        Used for breadcrumb navigation and path display.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````